using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BasePanel : MonoBehaviour
{
    public bool IsOpened => gameObject.activeSelf;

    public virtual void OnOpen()
    {

    }

    public virtual void OnClose()
    {

    }

    public virtual void OnFocus(bool pFocus)
    {

    }

    public void Close()
    {
        UIManager.Instance.CloseUI(this);
    }
}